LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::CharSet Constant Group Referencepublished

These values are used to specify the characters which are available in a font and their codes. More...

## Variables
const short | DONTKNOW = 0
| specifies an unknown character set. More...
const short | ANSI = 1
| specifies the ANSI character set. More...
const short | MAC = 2
| specifies the Apple Macintosh character set. More...
const short | IBMPC_437 = 3
| specifies the IBM PC character set number 437. More...
const short | IBMPC_850 = 4
| specifies the IBM PC character set number 850. More...
const short | IBMPC_860 = 5
| specifies the IBM PC character set number 860. More...
const short | IBMPC_861 = 6
| specifies the IBM PC character set number 861. More...
const short | IBMPC_863 = 7
| specifies the IBM PC character set number 863. More...
const short | IBMPC_865 = 8
| specifies the IBM PC character set number 865. More...
const short | SYSTEM = 9
| specifies the system character set. More...
const short | SYMBOL = 10
| specifies a set of symbols. More...

## Detailed Description

These values are used to specify the characters which are available in a font and their codes.

The currently defined constants of `CharSet` have the same numerical values as the corresponding enum values of the C/C++ `rtl_TextEncoding` (from `rtl/textenc.h`). This correspondence is by design. Since `CharSet` is deprecated, however, it is not planned to add further constants to keep it in sync with `rtl_TextEncoding`.

Deprecated:

## Variable Documentation

## ◆ ANSI

const short ANSI = 1

specifies the ANSI character set.

## ◆ DONTKNOW

const short DONTKNOW = 0

specifies an unknown character set.

## ◆ IBMPC_437

const short IBMPC_437 = 3

specifies the IBM PC character set number 437.

## ◆ IBMPC_850

const short IBMPC_850 = 4

specifies the IBM PC character set number 850.

## ◆ IBMPC_860

const short IBMPC_860 = 5

specifies the IBM PC character set number 860.

## ◆ IBMPC_861

const short IBMPC_861 = 6

specifies the IBM PC character set number 861.

## ◆ IBMPC_863

const short IBMPC_863 = 7

specifies the IBM PC character set number 863.

## ◆ IBMPC_865

const short IBMPC_865 = 8

specifies the IBM PC character set number 865.

## ◆ MAC

const short MAC = 2

specifies the Apple Macintosh character set.

## ◆ SYMBOL

const short SYMBOL = 10

specifies a set of symbols.

## ◆ SYSTEM

const short SYSTEM = 9

specifies the system character set.